Skip to main content
GET
/
admin
/
translations
/
settings
JS SDK
import Medusa from "@medusajs/js-sdk"

export const sdk = new Medusa({
  baseUrl: import.meta.env.VITE_BACKEND_URL || "/",
  debug: import.meta.env.DEV,
  auth: {
    type: "session",
  },
})

sdk.admin.translation.settings({
  entity_type: "product"
})
.then(({ translation_settings }) => {
  console.log(translation_settings)
})
{
  "translation_settings": {}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

entity_type
string

The entity to retrieve translation settings for.

Example:

"product"

is_active
boolean

Filter resources by whether translations is activated for them or not. If not provided, all resources are returned.

Response

OK

The translation settings' details.

translation_settings
object
required

The translation settings details.